AWS Elastic Beanstalk
Release Notes

Release: AWS Elastic Beanstalk Linux-based platform updates on January 23, 2019

This release applies security updates to Linux-based platforms for AWS Elastic Beanstalk, and updates platform configurations. The release includes Node.js, PHP, Python, and Ruby updates, some cross-platform updates, and, for certain AWS Regions, support for additional Amazon EC2 instance types.

Release date: January 23, 2019

Changes

Category Description

Security updates

Applied all security updates published in the Amazon Linux Security Center on or before January 12, 2019 to all Linux-based platforms.

See also the nginx entry in Cross-platform updates for nginx security updates.

Cross-platform updates

Made these cross-platform updates:

Component Update

Apache

Updated platforms supporting the Apache HTTP Server 2.4 to version 2.4.37.

nginx

Updated platforms supporting the nginx server to version 1.14.1.

This version includes these security updates:

AWS X-Ray

Updated platforms that support X-Ray to X-Ray daemon v3.0.0.

Platform-specific updates

Made these platform-specific updates:

Platform Update

Multicontainer Docker

Updated the ECS agent to version 1.24.0.

Node.js

Updated the Node.js platform to add support for Node versions 10.15.0, 8.15.0, and 6.16.0.

PHP

Updated the PHP 7.2, 7.1, 7.0, and 5.6 configurations to PHP versions 7.2.13, 7.1.25, 7.0.33, and 5.6.39, respectively.

Python

Updated the Python 3.6 configuration to Python 3.6.7.

Ruby

Instance types

Added support for more Amazon EC2 instance types in some AWS Regions, as follows:

Instance type Regions

r5d

  • Europe (Paris) – eu-west-3

  • AWS GovCloud (US) – us-gov-west-1

r5, c5d, m5d

  • Europe (Paris) – eu-west-3

x1e

  • Asia Pacific (Seoul) – ap-northeast-2

Updated Platform Configurations

Packer Builder

Configuration and Solution Stack Name

AMI

Packer Version

Elastic Beanstalk Packer Builder version 2.6.6

64bit Amazon Linux 2018.03 v2.6.6 running Packer 1.0.3

2018.03.0

1.0.3

Single Container Docker

Configuration and Solution Stack Name

AMI

Docker Version

Proxy Server

Single Container Docker 18.03 version 2.12.7

64bit Amazon Linux 2018.03 v2.12.7 running Docker 18.06.1-ce

2018.03.0

18.06.1-ce

nginx 1.14.1

Multicontainer Docker

Configuration and Solution Stack Name

AMI

Docker Version

ECS Agent

Multicontainer Docker 18.03 version 2.11.7

64bit Amazon Linux 2018.03 v2.11.7 running Multi-container Docker 18.06.1-ce (Generic)

2018.03.0

18.06.1-ce

1.24.0

Preconfigured Docker

Configuration and Solution Stack Name

AMI

Platform

Container OS

Language

Proxy Server

Application Server

Docker Image

Glassfish 5.0 (Docker) version 2.12.7

64bit Amazon Linux v2.12.7 running GlassFish 5.0 Java 8 (Preconfigured - Docker)

2018.03.0

Docker 18.06.1-ce

Amazon Linux 2018.03

Java 8

nginx 1.14.1

Glassfish 5.0

amazon/aws-eb-glassfish:5.0-al-onbuild-2.11.1

Go 1.4 (Docker) version 2.12.7

64bit Debian jessie v2.12.7 running Go 1.4 (Preconfigured - Docker)

2018.03.0

Docker 18.06.1-ce

Debian Jessie

Go 1.4.2

nginx 1.14.1

none

golang:1.4.2-onbuild

Go 1.3 (Docker) version 2.12.7

64bit Debian jessie v2.12.7 running Go 1.3 (Preconfigured - Docker)

2018.03.0

Docker 18.06.1-ce

Debian Jessie

Go 1.3.3

nginx 1.14.1

none

golang:1.3.3-onbuild

Python 3.4 with uWSGI 2 (Docker) version 2.12.7

64bit Debian jessie v2.12.7 running Python 3.4 (Preconfigured - Docker)

2018.03.0

Docker 18.06.1-ce

Debian Jessie

Python 3.4

nginx 1.14.1

uWSGI 2.0.8

amazon/aws-eb-python:3.4.2-onbuild-3.5.1

Go

Configuration and Solution Stack Name

AMI

Language

AWS X‑Ray

Proxy Server

Go 1.11 version 2.10.0

64bit Amazon Linux 2018.03 v2.10.0 running Go 1.11.4

2018.03.0

Go 1.11.4

3.0.0

nginx 1.14.1

Java SE

Configuration and Solution Stack Name

AMI

Language

Tools

AWS X‑Ray

Proxy Server

Java 8 version 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running Java 8

2018.03.0

Java 1.8.0_191

Ant 1.9.6, Gradle 2.7, Maven 3.3.3

3.0.0

nginx 1.14.1

Java 7 version 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running Java 7

2018.03.0

Java 1.7.0.201

Ant 1.9.6, Gradle 2.7, Maven 3.3.3

3.0.0

nginx 1.14.1

Java with Tomcat

Configuration and Solution Stack Name

AMI

Language

AWS X‑Ray

Application Server

Proxy Server

Java 8 with Tomcat 8.5 version 3.1.0

64bit Amazon Linux 2018.03 v3.1.0 running Tomcat 8.5 Java 8

2018.03.0

Java 1.8.0_191

3.0.0

Tomcat 8.5.32

Apache 2.4.37 (default), Apache 2.2.34, Nginx 1.14.1

Java 8 with Tomcat 8 version 3.1.0

64bit Amazon Linux 2018.03 v3.1.0 running Tomcat 8 Java 8

2018.03.0

Java 1.8.0_191

3.0.0

Tomcat 8.0.53

Apache 2.4.37 (default), Apache 2.2.34, Nginx 1.14.1

Java 7 with Tomcat 7 version 3.1.0

64bit Amazon Linux 2018.03 v3.1.0 running Tomcat 7 Java 7

2018.03.0

Java 1.7.0.201

3.0.0

Tomcat 7.0.91

Apache 2.4.37 (default), Apache 2.2.34, Nginx 1.14.1

Java 6 with Tomcat 7 version 3.1.0

64bit Amazon Linux 2018.03 v3.1.0 running Tomcat 7 Java 6

2018.03.0

Java 1.6.0_41

3.0.0

Tomcat 7.0.91

Apache 2.4.37 (default), Apache 2.2.34, Nginx 1.14.1

Node.js

Configuration and Solution Stack Name

AMI

Node.js version (npm version)

Proxy Server

Git

AWS X‑Ray

Node.js version 4.8.0

64bit Amazon Linux 2018.03 v4.8.0 running Node.js

2018.03.0

10.15.0 (6.4.1), 10.14.1 (6.4.1), 8.15.0 (6.4.1), 8.14.0 (6.4.1), 7.10.1 (4.2.0), 6.16.0 (3.10.10), 6.15.1 (3.10.10), 5.12.0 (3.8.6), 4.9.1 (2.15.11), 4.8.7 (2.15.11)

Default platform: 10.15.0

nginx 1.14.1, Apache 2.4.37

2.14.5

3.0.0

PHP

Configuration and Solution Stack Name

AMI

Language

Composer

Proxy Server

PHP 7.2 version 2.8.6

64bit Amazon Linux 2018.03 v2.8.6 running PHP 7.2

2018.03.0

PHP 7.2.13

1.4.2

Apache 2.4.37

PHP 7.1 version 2.8.6

64bit Amazon Linux 2018.03 v2.8.6 running PHP 7.1

2018.03.0

PHP 7.1.25

1.4.2

Apache 2.4.37

PHP 7.0 version 2.8.6

64bit Amazon Linux 2018.03 v2.8.6 running PHP 7.0

2018.03.0

PHP 7.0.33

1.4.2

Apache 2.4.37

PHP 5.6 version 2.8.6

64bit Amazon Linux 2018.03 v2.8.6 running PHP 5.6

2018.03.0

PHP 5.6.39

1.4.2

Apache 2.4.37

PHP 5.5 version 2.8.6

64bit Amazon Linux 2018.03 v2.8.6 running PHP 5.5

2018.03.0

PHP 5.5.38

1.4.2

Apache 2.4.37

PHP 5.4 version 2.8.6

64bit Amazon Linux 2018.03 v2.8.6 running PHP 5.4

2018.03.0

PHP 5.4.45

1.4.2

Apache 2.4.37

Python

Configuration and Solution Stack Name

AMI

Language

Package Manager

Packager

meld3

AWS X‑Ray

Proxy Server

Python 3.6 version 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running Python 3.6

2018.03.0

Python 3.6.7

pip 9.0.3

setuptools 28.8.0

meld3 1.0.2

3.0.0

Apache 2.4.37 with mod_wsgi 3.5

Python 3.4 version 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running Python 3.4

2018.03.0

Python 3.4.9

pip 9.0.3

setuptools 28.8.0

meld3 1.0.2

3.0.0

Apache 2.4.37 with mod_wsgi 3.5

Python 2.7 version 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running Python 2.7

2018.03.0

Python 2.7.15

pip 9.0.3

setuptools 28.8.0

meld3 1.0.2

3.0.0

Apache 2.4.37 with mod_wsgi 3.5

Python 2.6 version 2.8.0

64bit Amazon Linux 2018.03 v2.8.0 running Python 2.6

2018.03.0

Python 2.6.9

pip 9.0.3

setuptools 28.8.0

meld3 1.0.2

3.0.0

Apache 2.4.37 with mod_wsgi 3.5

Ruby

Configuration and Solution Stack Name

AMI

Language

Package Manager

Application Server

AWS X‑Ray

Proxy Server

Ruby 2.6 with Puma version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.6 (Puma)

2018.03.0

Ruby 2.6.0-p0

RubyGems 3.0.2

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.6 with Passenger version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.6 (Passenger Standalone)

2018.03.0

Ruby 2.6.0-p0

RubyGems 3.0.2

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.5 with Puma version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.5 (Puma)

2018.03.0

Ruby 2.5.3-p105

RubyGems 2.7.7

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.5 with Passenger version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.5 (Passenger Standalone)

2018.03.0

Ruby 2.5.3-p105

RubyGems 2.7.7

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.4 with Puma version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.4 (Puma)

2018.03.0

Ruby 2.4.5-p335

RubyGems 2.7.7

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.4 with Passenger version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.4 (Passenger Standalone)

2018.03.0

Ruby 2.4.5-p335

RubyGems 2.7.7

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.3 with Puma version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.3 (Puma)

2018.03.0

Ruby 2.3.8-p459

RubyGems 2.7.7

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.3 with Passenger version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.3 (Passenger Standalone)

2018.03.0

Ruby 2.3.8-p459

RubyGems 2.7.7

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.2 with Puma version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.2 (Puma)

2018.03.0

Ruby 2.2.10-p489

RubyGems 2.7.6

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.2 with Passenger version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.2 (Passenger Standalone)

2018.03.0

Ruby 2.2.10-p489

RubyGems 2.7.6

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.1 with Puma version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.1 (Puma)

2018.03.0

Ruby 2.1.10-p492

RubyGems 2.6.13

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.1 with Passenger version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.1 (Passenger Standalone)

2018.03.0

Ruby 2.1.10-p492

RubyGems 2.6.13

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 2.0 with Puma version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.0 (Puma)

2018.03.0

Ruby 2.0.0-p648

RubyGems 2.6.13

Puma 2.16.0

3.0.0

nginx 1.14.1

Ruby 2.0 with Passenger version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 2.0 (Passenger Standalone)

2018.03.0

Ruby 2.0.0-p648

RubyGems 2.6.13

Passenger 4.0.60

3.0.0

nginx 1.14.1

Ruby 1.9 with Passenger version 2.9.0

64bit Amazon Linux 2018.03 v2.9.0 running Ruby 1.9.3

2018.03.0

Ruby 1.9.3-p551

RubyGems 2.6.13

Passenger 4.0.60

3.0.0

nginx 1.14.1